Bug 506799 - Serial ports don't function on 4838-310 without pnpacpi=off boot option
Serial ports don't function on 4838-310 without pnpacpi=off boot option
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: 5.5
Assigned To: James Takahashi
Red Hat Kernel QE team
: ZStream
Depends On:
Blocks: 499522 520905 5.5TechNotes-Updates
  Show dependency treegraph
 
Reported: 2009-06-18 13:28 EDT by Casey Dahlin
Modified: 2014-06-18 04:46 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 02:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
52585_mp_irqs.patch (2.69 KB, patch)
2009-07-17 11:22 EDT, Joseph Kachuck
no flags Details | Diff
update original patch to include func declaration for x86_64 and xen (6.03 KB, patch)
2009-08-21 17:07 EDT, Kevin W Monroe
no flags Details | Diff

  None (edit)
Description Casey Dahlin 2009-06-18 13:28:24 EDT
Description of problem:
IBM is in the process of certifying a new POS device. They've noticed that when they attach a serial loopback device to their serial ports, and attempt to send output to /dev/ttyS#, they do not receive the data back. There are no log messages. The write seems to block for an extended period.

Version-Release number of selected component (if applicable):
IBM tested on 2.6.18-92.e15, I've confirmed with up to 2.6.18-153.el5

How reproducible:
Always

Steps to Reproduce:
1. Obtain one of these devices (RH is in posession of one. Details to follow)
2. Connect a serial cable between the two serial ports (We haven't tested locally with a serial loopback device, but it should produce similar results).
3. cat /dev/ttyS0 &
4. echo foo > /dev/ttyS1
  
Actual results:
echo blocks for awhile, then we get the prompt back. No output.

Expected results:
Command returns immediately. We get the output "foo" on the console.

Additional info:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=61fd47e0c84764f49b4e52bfd8170fac52636f00 seems to fix the patch. Customer reported that they backported the patch but has not shown their work. The patch does not apply to the current RHEL CVS kernel.
Comment 3 Casey Dahlin 2009-06-19 15:58:37 EDT
Noticed today that the null modem cable had been removed from the device. Its back.
Comment 4 Jesse Larrew 2009-06-29 18:47:11 EDT
Assigning this to Peter Bogdanovic at IBM.
Comment 5 Joseph Kachuck 2009-07-17 11:22:35 EDT
Created attachment 354163 [details]
52585_mp_irqs.patch
Comment 6 Issue Tracker 2009-07-17 14:14:16 EDT
Event posted on 07-17-2009 01:43pm EDT by Glen Johnson

------- Comment From tpnoonan@us.ibm.com 2009-07-17 13:35 EDT-------
Hi Joe, I see that you reposted the backported patch. As this patch is
absolutely critical for the the system to work without any manual
configuration and it's a proposed blocker for 5.4 and the volumes are
around 20K this year, can we work it into 5.4? Thanks.


This event sent from IssueTracker by jkachuck 
 issue 290607
Comment 8 John Jarvis 2009-08-20 15:06:42 EDT
Peter, when do you plan to post the patch to rh-kernel for review?
Comment 9 Kevin W Monroe 2009-08-21 17:07:43 EDT
Created attachment 358282 [details]
update original patch to include func declaration for x86_64 and xen

The original patch defined acpi_get_override_irq() for i386 but not for x86_64 nor xen variants. This caused x86_64 and xen kernel build failures.

This patch supersedes the earlier version and includes required function definitions for x86_64 and xen.
Comment 10 Kevin W Monroe 2009-08-21 18:44:06 EDT
Posted to rhkernel:

http://post-office.corp.redhat.com/archives/rhkernel-list/2009-August/msg00408.html
Comment 11 Kevin W Monroe 2009-09-01 14:22:43 EDT
Patch has been posted (comment 10), clearing NEEDINFO.
Comment 13 Don Zickus 2009-09-04 14:45:32 EDT
in kernel-2.6.18-165.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 19 Issue Tracker 2009-09-17 09:51:22 EDT
Event posted on 09-17-2009 12:24am EDT by Glen Johnson

------- Comment From liangghv@sg.ibm.com 2009-09-17 00:13 EDT-------
Hi Joe, I have tested the kernel-2.6.18-165.el5 on the machine and it was
able to correctly detect and use all serial ports without the use of
pnpacpi=off boot parameter.

Internal Status set to 'Waiting on Support'
Status set to: Waiting on Tech

This event sent from IssueTracker by jkachuck 
 issue 290607
Comment 22 Issue Tracker 2009-10-27 09:13:40 EDT
Event posted on 10-27-2009 01:54am EDT by Glen Johnson

------- Comment From liangghv@sg.ibm.com 2009-10-27 01:50 EDT-------
Hi, I have tested the kernel-2.6.18-164.2.1.el5.i686.rpm on the machine
and it was able to correctly detect and use all serial ports without the
use of pnpacpi=off
boot parameter.

Internal Status set to 'Waiting on Support'
Status set to: Waiting on Tech

This event sent from IssueTracker by jkachuck 
 issue 290607
Comment 26 errata-xmlrpc 2010-03-30 02:57:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.